Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.resource
Class ScriptRenderer

    java.lang.Object
      org.ajax4jsf.resource.BaseResourceRenderer
          org.ajax4jsf.resource.OneTimeRenderer
              org.ajax4jsf.resource.CompressedScriptRenderer
                  org.ajax4jsf.resource.ScriptRenderer

All Implemented Interfaces:
  org.ajax4jsf.resource.ResourceRenderer

    public class ScriptRenderer

extends CompressedScriptRenderer

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:57:04 $
Author:
  asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

Constructor Summary
`ScriptRenderer()`

Method Summary
`int` | `send(org.ajax4jsf.resource.InternetResource base, org.ajax4jsf.resource.ResourceContext context)`

Methods inherited from class org.ajax4jsf.resource.CompressedScriptRenderer
`getCommonAttrs, getContentType, getHrefAttr, getTag`

Methods inherited from class org.ajax4jsf.resource.OneTimeRenderer
`encodeBegin, encodeEnd`

Methods inherited from class org.ajax4jsf.resource.BaseResourceRenderer
`customEncode, encode, encode, getData, requireFacesContext, sendStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScriptRenderer

    public ScriptRenderer()

Method Detail

### send

    public int send(org.ajax4jsf.resource.InternetResource base,
                    org.ajax4jsf.resource.ResourceContext context)
             throws java.io.IOException

  Specified by:
    `send` in interface `org.ajax4jsf.resource.ResourceRenderer`
  Overrides:
    `send` in class `BaseResourceRenderer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.